PrepareTestPluginPath Struct Reference

`#include <mia/core/plugin_base.hh>`

## Public Member Functions

| PrepareTestPluginPath ()
| ~PrepareTestPluginPath ()

## Detailed Description

This class sets the plug-in search path for to the build tree based location. It should only instanciated for running unit-like tests. Calling the destructor will reset the plug-in search path estimation to its normal behaviour.

Definition at line 50 of file plugin_base.hh.

## Constructor & Destructor Documentation

## PrepareTestPluginPath()

PrepareTestPluginPath::PrepareTestPluginPath | ( |  | ) |

## ~PrepareTestPluginPath()

PrepareTestPluginPath::~PrepareTestPluginPath | ( |  | ) |

The documentation for this struct was generated from the following file:

- plugin_base.hh